import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy } from '@angular/core';
import { RxPush } from '@rx-angular/template/push';
import { map } from 'rxjs';
import { B as BaseViewWidgetComponent } from './smallstack-data-widgets-base-view-widget.component-19f20763.mjs';
import '@smallstack/utils';
import '@smallstack/widget-core';

class BooleanViewWidgetComponent extends BaseViewWidgetComponent {
    constructor() {
        super(...arguments);
        this.value$ = this.model$.pipe(map((val) => {
            if (val === true)
                return "Ja";
            if (val === false)
                return "Nein";
            return "Nicht definiert";
        }));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.8", ngImport: i0, type: BooleanViewWidgetComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.8", type: BooleanViewWidgetComponent, isStandalone: true, selector: "smallstack-boolean-view-widget", usesInheritance: true, ngImport: i0, template: "{{ value$ | push }}\n", dependencies: [{ kind: "pipe", type: RxPush, name: "push" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.8", ngImport: i0, type: BooleanViewWidgetComponent, decorators: [{
            type: Component,
            args: [{ selector: "smallstack-boolean-view-widget", standalone: true, imports: [RxPush], changeDetection: ChangeDetectionStrategy.OnPush, template: "{{ value$ | push }}\n" }]
        }] });

export { BooleanViewWidgetComponent };
//# sourceMappingURL=smallstack-data-widgets-boolean-view-widget.component-fe4c6df8.mjs.map
