import { DATA_MANIPULATION_ACTIONS_SCHEMA } from '@smallstack/client-common';

const ContextManipulationWidgetConfiguration = {
    templateName: "Kontext Manipulation",
    templateDescription: "Verändert den aktuellen Kontext und gibt diesen an das nächste Widget weiter",
    dataSchema: {
        type: "object",
        properties: {
            child: {
                type: "object",
                title: "Inhalt",
                "x-schema-form": {
                    widget: "widget"
                }
            },
            ...DATA_MANIPULATION_ACTIONS_SCHEMA
        }
    },
    icon: "multiple-inputs"
};

export { ContextManipulationWidgetConfiguration };
//# sourceMappingURL=smallstack-data-widgets-configuration-78ce1a4a.mjs.map
