import { CdkDragDrop } from "@angular/cdk/drag-drop";
import { SmallstackTypeSchema } from "@smallstack/typesystem";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import { BehaviorSubject, Observable } from "rxjs";
import * as i0 from "@angular/core";
interface Header {
    key: string;
    label: string;
}
export declare class DataExportWidgetComponent extends BaseWidgetComponent {
    protected sortBy$: BehaviorSubject<string>;
    protected sortDirection$: BehaviorSubject<"asc" | "desc">;
    protected models$: Observable<any>;
    protected sortedModels$: Observable<any>;
    protected schema$: Observable<SmallstackTypeSchema>;
    protected preview$: Observable<any>;
    protected selectedHeaders$: BehaviorSubject<Header[]>;
    protected headers$: Observable<Header[]>;
    protected notSelectedHeaders$: Observable<Header[]>;
    protected format: string;
    protected setFormat(format: string): void;
    protected close(): void;
    protected drop(event: CdkDragDrop<Header[]>): void;
    protected addAll(): Promise<void>;
    protected removeAll(): void;
    protected add(header: Header): void;
    protected remove(header: Header): void;
    protected export(): () => Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DataExportWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DataExportWidgetComponent, "smallstack-data-export-widget", never, {}, {}, never, never, true, never>;
}
export {};
