const ContextTableWidgetConfiguration = {
    templateName: "Kontext Tabelle",
    templateDescription: "Erstellt eine Tabelle aus Daten Kopfzeilen und Positionen von dem Kontext",
    dataSchema: {
        type: "object",
        properties: {
            headersContextVariable: {
                type: "string",
                title: "Kopfzeilen Kontext Variable",
                description: "Geben Sie hier an, in welcher Kontext Variable sich die Kopfzeilen Definitionen befinden."
            },
            headerDisplayProperty: {
                type: "string",
                title: "Kopfzeilen Anzeige Eigenschaft",
                default: "value"
            },
            bodyPositionsContextVariable: {
                type: "string",
                title: "Inhalt Kontext Variable",
                description: "Geben Sie hier an, in welcher Kontext Variable sich der Inhalt der Tabelle befindet."
            },
            bodyDisplayProperty: {
                type: "string",
                title: "Inhalt Anzeige Eigenschaft",
                default: "value"
            }
        }
    },
    icon: "grid"
};

export { ContextTableWidgetConfiguration };
//# sourceMappingURL=smallstack-data-widgets-configuration-00f1980e.mjs.map
