const CalendarWidgetConfiguration = {
    templateName: "Kalender",
    templateDescription: "Zeigt einen Kalender an.",
    icon: "calendar",
    dataSchema: {
        type: "object",
        properties: {
            calendarIds: {
                type: "array",
                title: "@@dashboard.widgets.calendar.whichcalendar",
                "x-schema-form": {
                    widget: "storeselect",
                    store: "calendars",
                    property: "name",
                    multiple: true
                }
            },
            calendarView: {
                type: "string",
                enum: ["timeGridWeek", "dayGridMonth"],
                title: "Wochen- oder Monatsansicht?",
                "x-i18n-prefix": "@@dashboard.widgets.calendar."
            },
            calendarStartTime: {
                type: "string",
                title: "Startzeit",
                description: "Uhrzeit bei der die Kalenderansicht beginnen soll. Format: 'hh:mm:ss'"
            },
            calendarEndTime: {
                type: "string",
                title: "Endzeit",
                description: "Uhrzeit bei der die Kalenderansicht enden soll. Format: 'hh:mm:ss'"
            }
        }
    }
};

export { CalendarWidgetConfiguration };
//# sourceMappingURL=smallstack-data-widgets-configuration-3d60f8a3.mjs.map
