import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy } from '@angular/core';
import { RxIf } from '@rx-angular/template/if';
import { RxLet } from '@rx-angular/template/let';
import { RxPush } from '@rx-angular/template/push';
import { B as BaseViewWidgetComponent } from './smallstack-data-widgets-base-view-widget.component-19f20763.mjs';
import '@smallstack/utils';
import '@smallstack/widget-core';
import 'rxjs';

class StringViewWidgetComponent extends BaseViewWidgetComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.8", ngImport: i0, type: StringViewWidgetComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.8", type: StringViewWidgetComponent, isStandalone: true, selector: "smallstack-string-view-widget", usesInheritance: true, ngImport: i0, template: "<ng-container *rxLet=\"model$; let model\">\n  <ng-container *rxIf=\"model?.startsWith('http://') || model?.startsWith('https://'); else text\">\n    <a [href]=\"model\" target=\"_blank\" class=\"border-b border-dashed\">{{ model }}</a>\n  </ng-container>\n  <ng-template #text>\n    {{ model }}\n  </ng-template>\n</ng-container>\n", dependencies: [{ kind: "directive", type: RxLet, selector: "[rxLet]", inputs: ["rxLet", "rxLetStrategy", "rxLetComplete", "rxLetError", "rxLetSuspense", "rxLetContextTrigger", "rxLetCompleteTrigger", "rxLetErrorTrigger", "rxLetSuspenseTrigger", "rxLetNextTrigger", "rxLetRenderCallback", "rxLetParent", "rxLetPatchZone"], outputs: ["rendered"] }, { kind: "directive", type: RxIf, selector: "[rxIf]", inputs: ["rxIf", "rxIfStrategy", "rxIfElse", "rxIfThen", "rxIfSuspense", "rxIfComplete", "rxIfError", "rxIfContextTrigger", "rxIfNextTrigger", "rxIfSuspenseTrigger", "rxIfErrorTrigger", "rxIfCompleteTrigger", "rxIfParent", "rxIfPatchZone", "rxIfRenderCallback"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.8", ngImport: i0, type: StringViewWidgetComponent, decorators: [{
            type: Component,
            args: [{ selector: "smallstack-string-view-widget", standalone: true, imports: [RxPush, RxLet, RxIf], changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container *rxLet=\"model$; let model\">\n  <ng-container *rxIf=\"model?.startsWith('http://') || model?.startsWith('https://'); else text\">\n    <a [href]=\"model\" target=\"_blank\" class=\"border-b border-dashed\">{{ model }}</a>\n  </ng-container>\n  <ng-template #text>\n    {{ model }}\n  </ng-template>\n</ng-container>\n" }]
        }] });

export { StringViewWidgetComponent };
//# sourceMappingURL=smallstack-data-widgets-string-view-widget.component-b8316252.mjs.map
