import { SocketDto } from "@smallstack/axios-api-client";
import { LazyLoadingWidgetConfiguration } from "@smallstack/widget-core";
export declare enum DataTableV2RenderTypes {
    RAW = "raw",
    I18N = "i18n",
    ICON = "icon",
    IMAGE = "image",
    DATE = "date",
    DURATION = "duration",
    STORE_PROPERTY = "storeProperty",
    QR_CODE = "qrCode",
    DIALOG = "dialog",
    LINK = "link",
    BOOLEAN = "boolean",
    MARKDOWN = "markdown",
    GOOGLE_MAP = "googleMap",
    WIDGET = "widget",
    CURRENCY = "currency",
    VALUE_MAPPING = "valueMapping"
}
export declare const sockets: SocketDto[];
export declare const DataTableV2Configuration: LazyLoadingWidgetConfiguration;
